<?php
    global $page_id;
    if(!isset($page_id)) {
        $page_id=false;
    }

	if($page_id)
		$sidebar_type=get_post_meta($page_id, 'eventerra_sidebar_show', true) ?: eventerra_sidebar_default();
	else
		$sidebar_type=eventerra_sidebar_default();

	if($sidebar_type == 'hide') {
		// no sidebar
	} else {
		?>
			<div class="content-column-sidebar">
				<div class="content-columns-inner">
					<aside>
					<?php
						// alternative sidebar
						if($page_id)
							$alt_sidebar=get_post_meta($page_id, 'eventerra_sidebar', true);
						else
							$alt_sidebar=false;

						if($alt_sidebar)
							$sidebars=get_option("eventerra_extra_sidebars");
							
						if( $alt_sidebar && isset($sidebars[$alt_sidebar]) ) {
							dynamic_sidebar( 'extra-'.$alt_sidebar ); 
						} else {
							dynamic_sidebar();
						}
					?>
					</aside>
				</div>
			</div>
		<?php
	}